require 'rbdoc-lib'

def dir(path)
  Dir.foreach(path) do |entry|
    next if /^\./ =~ entry
    run File.join(path, entry)
  end
end

def run(path)
  if test ?d, path
    dir path
  elsif /\.txt$/i =~ path
    rbdoc = Rbdoc.new
    rbdoc.src = path
    rbdoc.out = path.gsub(/\.\w+$/,'') + '.html'
    rbdoc.write
    $> = $stdout
    print path, "\n"
  end
end

run ARGV.shift || '.'
